*,
*:before,
*:after {
  box-sizing: border-box;
}

.game {
  position: relative;
}

.game input {
  position: absolute;
  top: 0;
  z-index: 0;
}

.board {
  display: flex;
  flex-direction: column;
  position: relative;
  z-index: 1;
}

.row {
  display: flex;
}

.board__tile {
  border: 1px solid lightgray;
  background: lightgray;
  width: 36px;
  height: 36px;
}

.board__tile.--wall {
  background: black;
  border: 0;
  height: 12px;
}

.board__tile.--wall:first-of-type,
.board__tile.--wall:last-of-type {
  content: '';
  width: 12px;
  height: 36px;
}

.row:last-of-type .board__tile.--wall:first-of-type,
.row:first-of-type .board__tile.--wall:first-of-type,
.row:last-of-type .board__tile.--wall:last-of-type,
.row:first-of-type .board__tile.--wall:last-of-type {
  height: 12px;
}

.board__tile.--snake {
  background: blue;
}

.board__tile.--food {
  background: red;
}
